Bug 60011 - Type signatures for interface members is slightly off
Summary: Type signatures for interface members is slightly off
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: F# Add-in (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: --- normal
Target Milestone: master
Assignee: Jason Imison
URL:
Depends on:
Blocks:
 
Reported: 2017-10-06 09:45 UTC by Jason Imison
Modified: 2017-10-09 13:12 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Bug demo (201.40 KB, image/png)
2017-10-06 09:45 UTC, Jason Imison
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jason Imison 2017-10-06 09:45:54 UTC
Created attachment 25148 [details]
Bug demo

See screenshot.

`int) : obj` should be `int : obj`
Comment 1 xamarin-release-manager 2017-10-09 13:12:55 UTC
Fixed in version 7.4.0.290 (master)

Pull Request #3168 merged by: Jason Imison
Author: mono
Commit: 8f1d2c48b7b0b3102c21f6e8b230f43de1ec395e (mono/monodevelop)